Subject: [netmod] schema mount missing module-set-id

From: Lou Berger <[email-masked]>
Date: Tue, 27 Jun 2017 10:35:37 -0400

(as contributor)

In reviewing schema mount in the hopes of having it ready for LC (as
contributor) by Prague, I noticed that the "schema" list replicates the
information contained  YANG library with the exception of omitting the
module-set-id leaf.  Presuming that this leaf is in fact useful
(although I know in other settings we leave it to the client/receiver to
generate such hashes) I propose that we add a parallel  module-set-id
leaf to schema-mount's schema list.

The specific addition would be:

      leaf module-set-id {
        type string;
        mandatory true;
        description
          "Contains a server-specific identifier representing
           the current set of modules and submodules identified
           in 'module-list'.  The server MUST change the value of
           this leaf when the information represented by 'module-list'
           changes.";
       }

and the parallel notification:

  /*
   * Notifications
    */
  notification yang-schema-mount-change {
    description
      "Generated when the set of modules and submodules supported
       for a particular mount point schema has changed.";
    leaf module-set-id {
      type leafref {
        path "/yangmnt:schema-mounts/schema/yangmnt:module-set-id";
      }
      mandatory true;
      description
        "Contains the module-set-id value representing the
         set of modules and submodules supported for the identified
         schema the time the notification is generated.";
    }
  }

Does anyone object to this or have other thoughts on this addition
(e.g., agree that it's a good idea to keep this model parallel with YANG
library)?

Thanks,
Lou

PS for full details on the proposed change see
https://github.com/netmod-wg/schema-mount/pull/11